org.apache.xmlgraphics.java2d

## Class GenericGraphicsDevice

- java.lang.Object
- - java.awt.GraphicsDevice
  - - org.apache.xmlgraphics.java2d.GenericGraphicsDevice

-     public class GenericGraphicsDevice
      extends java.awt.GraphicsDevice

  This implements the `GraphicsDevice` interface as appropriate for the various output configurations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.GraphicsDevice

      `java.awt.GraphicsDevice.WindowTranslucency`

  - ### Field Summary

    - ### Fields inherited from class java.awt.GraphicsDevice

      `TYPE_IMAGE_BUFFER, TYPE_PRINTER, TYPE_RASTER_SCREEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericGraphicsDevice(java.awt.GraphicsConfiguration gc)` Create a new graphics2D device.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.GraphicsConfiguration` | `getBestConfiguration(java.awt.GraphicsConfigTemplate gct)` Ignore template and return the only config we have
    `java.awt.GraphicsConfiguration[]` | `getConfigurations()` Return an array of our one GraphicsConfig
    `java.awt.GraphicsConfiguration` | `getDefaultConfiguration()` Return out sole GraphicsConfig.
    `java.lang.String` | `getIDstring()` Generate an IdString..
    `int` | `getType()` Let the caller know that we are "a printer"

    - ### Methods inherited from class java.awt.GraphicsDevice

      `getAvailableAcceleratedMemory, getDisplayMode, getDisplayModes, getFullScreenWindow, isDisplayChangeSupported, isFullScreenSupported, isWindowTranslucencySupported, setDisplayMode, setFullScreenWindow`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericGraphicsDevice

          public GenericGraphicsDevice(java.awt.GraphicsConfiguration gc)

      Create a new graphics2D device.
      Parameters:
        `gc` - we should reference

  - ### Method Detail

    - #### getBestConfiguration

          public java.awt.GraphicsConfiguration getBestConfiguration(java.awt.GraphicsConfigTemplate gct)

      Ignore template and return the only config we have
      Overrides:
        `getBestConfiguration` in class `java.awt.GraphicsDevice`
      Parameters:
        `gct` - the template configuration
      Returns:
        the best configuration which is the only one

    - #### getConfigurations

          public java.awt.GraphicsConfiguration[] getConfigurations()

      Return an array of our one GraphicsConfig
      Specified by:
        `getConfigurations` in class `java.awt.GraphicsDevice`
      Returns:
        an array containing the one graphics configuration

    - #### getDefaultConfiguration

          public java.awt.GraphicsConfiguration getDefaultConfiguration()

      Return out sole GraphicsConfig.
      Specified by:
        `getDefaultConfiguration` in class `java.awt.GraphicsDevice`
      Returns:
        the graphics configuration that created this object

    - #### getIDstring

          public java.lang.String getIDstring()

      Generate an IdString..
      Specified by:
        `getIDstring` in class `java.awt.GraphicsDevice`
      Returns:
        the ID string for this device, uses toString

    - #### getType

          public int getType()

      Let the caller know that we are "a printer"
      Specified by:
        `getType` in class `java.awt.GraphicsDevice`
      Returns:
        the type which is always printer

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.